package com.brilliance.isc.common.trndia.registermodule.impl;

import com.brilliance.isc.common.trndia.registermodule.IDiaryRegisterModule;
import com.brilliance.isc.common.trndia.vo.TrndiaVo;
import com.brilliance.isc.common.vo.SimpleModuleVo;
import com.brilliance.isc.vo.lg.NcdBizInfoVo;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Component;

@Component("ncd.diaryRegisterModule")
public class NcdDiaryRegisterModule implements IDiaryRegisterModule {

    private static Logger log = LoggerFactory.getLogger(NcdDiaryRegisterModule.class);

    @Override
    public void registerModule(TrndiaVo trndiaVo) {
        log.debug("NCD业务品种需要注册NID业务模型");
        NcdBizInfoVo ncdBizInfoVo = (NcdBizInfoVo)trndiaVo.getRec();
        SimpleModuleVo simpleModuleVo = SimpleModuleVo.buildModule(ncdBizInfoVo.getNidinr(), "NID");
        trndiaVo.addRegisterModule(simpleModuleVo);
    }
}
